For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant Orders Documentation

Operations to manage documents for merchant orders that require them for AML/KYC.

Documents required for merchant order

get

Docs required for merchant order

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Responses
get
/orders/{orderId}/required-documents

Generate URLs for document upload

post

Generate URLs for document upload. These will expire after a short period to which you will need to request new URLs.

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
Bodyobject[]

Upload Document Meta Info.

documentNamestring · max: 100Required

Name of the document.

contentTypestring · enum · max: 100Required

Content type of the document.

Possible values:
contentLengthinteger · int64 · max: 8388608Optional

Size of the uploaded document in bytes. Maximum allowed is 8 MB (8388608 bytes).

Responses
post
/orders/{orderId}/upload-urls

Delete document by id

delete

Delete document by id

Path parameters
orderIdstring · uuidRequired

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
documentIdstring · uuidRequired

Id of the document to be deleted.

Responses
delete
/orders/{orderId}/documents/{documentId}

No content

Last updated

Was this helpful?